Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entries.ftpput
Class JobEntryFTPPUT

    java.lang.Object
      org.pentaho.di.job.entry.JobEntryBase
          org.pentaho.di.job.entries.ftpput.JobEntryFTPPUT

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.CheckResultSourceInterface, org.pentaho.di.core.variables.VariableSpace, JobEntryInterface, ResourceHolderInterface

    public class JobEntryFTPPUT

extends JobEntryBase
implements Cloneable, JobEntryInterface

This defines an FTP put job entry.

Since:
  15-09-2007
Author:
  Samatar

Field Summary

Fields inherited from class org.pentaho.di.job.entry.JobEntryBase
`category_order`

Constructor Summary
`JobEntryFTPPUT()`
`JobEntryFTPPUT(JobEntryBase jeb)`
`JobEntryFTPPUT(String n)`

Method Summary
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, JobMeta jobMeta)` Support for overrides not having to put in a check method
`Object` | `clone()`
`boolean` | `evaluates()` check whether or not this job entry evaluates.
`org.pentaho.di.core.Result` | `execute(org.pentaho.di.core.Result previousResult, int nr, Repository rep, Job parentJob)`
`String` | `getControlEncoding()` Get the control encoding to be used for ftp'ing
`String` | `getLocalDirectory()`
`String` | `getPassword()`
`String` | `getProxyHost()`
`String` | `getProxyPassword()`
`String` | `getProxyPort()`
`String` | `getProxyUsername()`
`String` | `getRemoteDirectory()`
`boolean` | `getRemove()`
`List<ResourceReference>` | `getResourceDependencies(JobMeta jobMeta)` Get a list of all the resource dependencies that the step is depending on.
`String` | `getServerName()`
`String` | `getServerPort()`
`int` | `getTimeout()`
`String` | `getUserName()`
`String` | `getWildcard()`
`String` | `getXML()`
`boolean` | `isActiveConnection()`
`boolean` | `isBinaryMode()`
`boolean` | `isOnlyPuttingNewFiles()`
`void` | `loadRep(Repository rep, long id_jobentry, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers)`
`void` | `loadXML(Node entrynode, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers, Repository rep)`
`void` | `saveRep(Repository rep, long id_job)`
`void` | `setActiveConnection(boolean activeConnection)`
`void` | `setBinaryMode(boolean binaryMode)`
`void` | `setControlEncoding(String encoding)` Set the encoding to be used for ftp'ing.
`void` | `setLocalDirectory(String directory)`
`void` | `setOnlyPuttingNewFiles(boolean onlyPuttingNewFiles)`
`void` | `setPassword(String password)`
`void` | `setProxyHost(String proxyHost)`
`void` | `setProxyPassword(String proxyPassword)`
`void` | `setProxyPort(String proxyPort)`
`void` | `setProxyUsername(String proxyUsername)`
`void` | `setRemoteDirectory(String directory)`
`void` | `setRemove(boolean remove)`
`void` | `setServerName(String serverName)`
`void` | `setServerPort(String serverPort)`
`void` | `setTimeout(int timeout)`
`void` | `setUserName(String userName)`
`void` | `setWildcard(String wildcard)`

Methods inherited from class org.pentaho.di.job.entry.JobEntryBase
`clear, copyVariablesFrom, environmentSubstitute, environmentSubstitute, exportResources, getBooleanValueOfVariable, getConfigId, getDescription, getDialogClassName, getFilename, getHolderType, getID, getJobEntryType, getName, getParentVariableSpace, getPluginID, getRealFilename, getSQLStatements, getSQLStatements, getTypeCode, getTypeCode, getTypeDesc, getTypeDesc, getTypeId, getUsedDatabaseConnections, getVariable, getVariable, hasChanged, initializeVariablesFrom, injectVariables, isDummy, isEvaluation, isFTP, isHTTP, isJob, isMail, isSFTP, isShell, isSpecial, isStart, isTransformation, isUnconditional, listVariables, loadXML, parseRepositoryObjects, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setParentVariableSpace, setPluginID, setVariable, shareVariablesWith, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pentaho.di.job.entry.JobEntryInterface
`clear, exportResources, getConfigId, getDescription, getDialogClassName, getFilename, getID, getJobEntryType, getName, getPluginID, getRealFilename, getSQLStatements, getSQLStatements, getTypeCode, getUsedDatabaseConnections, hasChanged, isDummy, isEvaluation, isJob, isMail, isShell, isSpecial, isStart, isTransformation, isUnconditional, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setPluginID`

Constructor Detail

### JobEntryFTPPUT

    public JobEntryFTPPUT(String n)

### JobEntryFTPPUT

    public JobEntryFTPPUT()

### JobEntryFTPPUT

    public JobEntryFTPPUT(JobEntryBase jeb)

Method Detail

### clone

    public Object clone()

  Specified by:
    `clone` in interface `JobEntryInterface`
  Overrides:
    `clone` in class `JobEntryBase`

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `JobEntryInterface`
  Overrides:
    `getXML` in class `JobEntryBase`

### loadXML

    public void loadXML(Node entrynode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers,
                        Repository rep)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Specified by:
    `loadXML` in interface `JobEntryInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### loadRep

    public void loadRep(Repository rep,
                        long id_jobentry,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `loadRep` in interface `JobEntryInterface`
  Overrides:
    `loadRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveRep

    public void saveRep(Repository rep,
                        long id_job)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `saveRep` in interface `JobEntryInterface`
  Overrides:
    `saveRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### isBinaryMode

    public boolean isBinaryMode()

  Returns:
    Returns the binaryMode.

### setBinaryMode

    public void setBinaryMode(boolean binaryMode)

  Parameters:
    `binaryMode` - The binaryMode to set.

### setTimeout

    public void setTimeout(int timeout)

  Parameters:
    `timeout` - The timeout to set.

### getTimeout

    public int getTimeout()

  Returns:
    Returns the timeout.

### isOnlyPuttingNewFiles

    public boolean isOnlyPuttingNewFiles()

  Returns:
    Returns the onlyGettingNewFiles.

### setOnlyPuttingNewFiles

    public void setOnlyPuttingNewFiles(boolean onlyPuttingNewFiles)

  Parameters:
    `onlyPuttingNewFiles` - Only transfer new files to the remote host

### getControlEncoding

    public String getControlEncoding()

  Get the control encoding to be used for ftp'ing

  Returns:
    the used encoding

### setControlEncoding

    public void setControlEncoding(String encoding)

  Set the encoding to be used for ftp'ing. This determines how names are translated in dir e.g. It does impact the contents of the files being ftp'ed.

  Parameters:
    `encoding` - The encoding to be used.

### getRemoteDirectory

    public String getRemoteDirectory()

  Returns:
    Returns the remoteDirectory.

### setRemoteDirectory

    public void setRemoteDirectory(String directory)

  Parameters:
    `directory` - The remoteDirectory to set.

### getPassword

    public String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(String password)

  Parameters:
    `password` - The password to set.

### getServerName

    public String getServerName()

  Returns:
    Returns the serverName.

### setServerName

    public void setServerName(String serverName)

  Parameters:
    `serverName` - The serverName to set.

### getUserName

    public String getUserName()

  Returns:
    Returns the userName.

### setUserName

    public void setUserName(String userName)

  Parameters:
    `userName` - The userName to set.

### getWildcard

    public String getWildcard()

  Returns:
    Returns the wildcard.

### setWildcard

    public void setWildcard(String wildcard)

  Parameters:
    `wildcard` - The wildcard to set.

### getLocalDirectory

    public String getLocalDirectory()

  Returns:
    Returns the localDirectory.

### setLocalDirectory

    public void setLocalDirectory(String directory)

  Parameters:
    `directory` - The localDirectory to set.

### setRemove

    public void setRemove(boolean remove)

  Parameters:
    `remove` - The remove to set.

### getRemove

    public boolean getRemove()

  Returns:
    Returns the remove.

### getServerPort

    public String getServerPort()

### setServerPort

    public void setServerPort(String serverPort)

### isActiveConnection

    public boolean isActiveConnection()

  Returns:
    the activeConnection

### setActiveConnection

    public void setActiveConnection(boolean activeConnection)

  Parameters:
    `activeConnection` - set to true to get an active FTP connection

### getProxyHost

    public String getProxyHost()

  Returns:
    Returns the hostname of the ftp-proxy.

### setProxyHost

    public void setProxyHost(String proxyHost)

  Parameters:
    `proxyHost` - The hostname of the proxy.

### getProxyPassword

    public String getProxyPassword()

  Returns:
    Returns the password which is used to authenticate at the proxy.

### setProxyPassword

    public void setProxyPassword(String proxyPassword)

  Parameters:
    `proxyPassword` - The password which is used to authenticate at the proxy.

### getProxyPort

    public String getProxyPort()

  Returns:
    Returns the port of the ftp-proxy.

### setProxyPort

    public void setProxyPort(String proxyPort)

  Parameters:
    `proxyPort` - The port of the ftp-proxy.

### getProxyUsername

    public String getProxyUsername()

  Returns:
    Returns the username which is used to authenticate at the proxy.

### setProxyUsername

    public void setProxyUsername(String proxyUsername)

  Parameters:
    `proxyUsername` - The username which is used to authenticate at the proxy.

### execute

    public org.pentaho.di.core.Result execute(org.pentaho.di.core.Result previousResult,
                                              int nr,
                                              Repository rep,
                                              Job parentJob)

  Specified by:
    `execute` in interface `JobEntryInterface`

### evaluates

    public boolean evaluates()

  Description copied from class: `JobEntryBase`
  check whether or not this job entry evaluates.

  Specified by:
    `evaluates` in interface `JobEntryInterface`
  Overrides:
    `evaluates` in class `JobEntryBase`
  Returns:
    true if the job entry evaluates

### getResourceDependencies

    public List<ResourceReference> getResourceDependencies(JobMeta jobMeta)

  Description copied from class: `JobEntryBase`
  Get a list of all the resource dependencies that the step is depending on.

  Specified by:
    `getResourceDependencies` in interface `JobEntryInterface`
  Overrides:
    `getResourceDependencies` in class `JobEntryBase`
  Returns:
    a list of all the resource dependencies that the step is depending on

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      JobMeta jobMeta)

  Description copied from class: `JobEntryBase`
  Support for overrides not having to put in a check method

  Specified by:
    `check` in interface `JobEntryInterface`
  Overrides:
    `check` in class `JobEntryBase`
  Parameters:
    `remarks` - CheckResults from checking the job entry
    `jobMeta` - JobMeta information letting threading back to the JobMeta possible

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD